From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 12 March 2012<P>

Yay!!!!<BR>
<BR>
I love the Ghandi quote. I have embraced it often, and shared it more often still.<BR>
<BR>
Congrats to all the front page picks. I always enjoy the re-reads, and catching things I had missed....
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 12 March 2012<P>

thanks Kirk. thrilled, to say the least :-) re-reading all the front page picks and enjoying!
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 12 March 2012<P>

Kirk, Thanks for the front page pick.. I like your fluffy clouds. Let's hope March does go out like a lamb. <BR>
<BR>
Get your storm shelter now is all we see on the tv ads lately. <BR>
<BR>
Hope y'all are liking your cheese and grits with the politicians.<BR>
<BR>
Congratulations to all the front pagers. Keep up the great words.<BR>
<BR>
bk<BR>
<BR>
<BR>
<BR>
<BR>

<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 12 March 2012<P>

wolfscreamer, about <a href="/blend/wv.cgi?id=2012.03.12.09.03.24020">Poor old rain</a>:<BR>
<BR>
The spring blooms are lush this year due to the winter rains we had. The wonderful movie,Singing in the Rain, comes to mind. Floods are rain stuck in reverse just like love ha. Nice work wolfscreamer.<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=709">heartSong</a><BR>
Date: 12 March 2012<P>

Thank you for the front page pick!  Awesome!
<HR>